org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

## Class GetTaskAttemptCompletionEventsRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto>
  - - org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskAttemptCompletionEventsRequestPBImpl

- All Implemented Interfaces:
    GetTaskAttemptCompletionEventsRequest

      public class GetTaskAttemptCompletionEventsRequestPBImpl
      extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto>
      implements GetTaskAttemptCompletionEventsRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskAttemptCompletionEventsRequestPBImpl()`
    `GetTaskAttemptCompletionEventsRequestPBImpl(MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFromEventId()`
    `JobId` | `getJobId()`
    `int` | `getMaxEvents()`
    `MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto` | `getProto()`
    `void` | `setFromEventId(int fromEventId)`
    `void` | `setJobId(JobId jobId)`
    `void` | `setMaxEvents(int maxEvents)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

      `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskAttemptCompletionEventsRequestPBImpl

          public GetTaskAttemptCompletionEventsRequestPBImpl()

    - #### GetTaskAttemptCompletionEventsRequestPBImpl

          public GetTaskAttemptCompletionEventsRequestPBImpl(MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto proto)

  - ### Method Detail

    - #### getProto

          public MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto getProto()

      Specified by:
        `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto>`

    - #### getJobId

          public JobId getJobId()

      Specified by:
        `getJobId` in interface `GetTaskAttemptCompletionEventsRequest`

    - #### setJobId

          public void setJobId(JobId jobId)

      Specified by:
        `setJobId` in interface `GetTaskAttemptCompletionEventsRequest`

    - #### getFromEventId

          public int getFromEventId()

      Specified by:
        `getFromEventId` in interface `GetTaskAttemptCompletionEventsRequest`

    - #### setFromEventId

          public void setFromEventId(int fromEventId)

      Specified by:
        `setFromEventId` in interface `GetTaskAttemptCompletionEventsRequest`

    - #### getMaxEvents

          public int getMaxEvents()

      Specified by:
        `getMaxEvents` in interface `GetTaskAttemptCompletionEventsRequest`

    - #### setMaxEvents

          public void setMaxEvents(int maxEvents)

      Specified by:
        `setMaxEvents` in interface `GetTaskAttemptCompletionEventsRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.